import { OnInit } from "@angular/core";
import { StiHttpClientService } from "../../services/http-client.service";
import { StiModelService } from "../../services/model.service";
import { StiExportService } from "../../services/sti-export.service";
import * as i0 from "@angular/core";
export declare class StiFileSaveDialogComponent implements OnInit {
    model: StiModelService;
    httpService: StiHttpClientService;
    exportService: StiExportService;
    designer: string;
    yes: string;
    no: string;
    cancel: string;
    get question(): string;
    constructor(model: StiModelService, httpService: StiHttpClientService, exportService: StiExportService);
    close(option: any): void;
    save(): void;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiFileSaveDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiFileSaveDialogComponent, "sti-file-save-dialog", never, {}, {}, never, never, false, never>;
}
